Package voltage.core

# Enum Class VoltageButton.ButtonState

java.lang.Object
java.lang.Enum<VoltageButton.ButtonState>
voltage.core.VoltageButton.ButtonState

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageButton.ButtonState>`, `Constable`

Enclosing class:
  `VoltageButton`

public static enum VoltageButton.ButtonState extends Enum<VoltageButton.ButtonState>
The four button states.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Disabled`
  The disabled state of the button.
  `Hover`
  The hover state of the button - the mouse is over the button.
  `Normal`
  The normal state of the button - the mouse is not over the button.
  `Pushed`
  The pushed state of the button - the mouse is pushing the button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getValue()`
  `static VoltageButton.ButtonState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageButton.ButtonState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Normal

    public static final VoltageButton.ButtonState Normal
    The normal state of the button - the mouse is not over the button.

  - ### Hover

    public static final VoltageButton.ButtonState Hover
    The hover state of the button - the mouse is over the button.

  - ### Pushed

    public static final VoltageButton.ButtonState Pushed
    The pushed state of the button - the mouse is pushing the button.

  - ### Disabled

    public static final VoltageButton.ButtonState Disabled
    The disabled state of the button.

- ## Method Details

  - ### values

    public static VoltageButton.ButtonState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageButton.ButtonState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()